首页 » Python » 解决使用python3.5来获取PCL库出现 unable to find vcvarsall.bat的问题

解决使用python3.5来获取PCL库出现 unable to find vcvarsall.bat的问题

原文 http://blog.csdn.net/Zuo9Yi/article/details/77970257

2017-09-13 22:20:24阅读(342)

1、首先从PCL官网(http://www.pclcn.org/study/shownews.php?lang=cn&id=141)得到的一条好消息是PCL已经有了python版的库,不过功能有待完善,对于用python开发的人来说,来学习PCL也是一件好事https://pypi.python.org/pypi/PyPCL/0.0.5


2、在通过pip安装PCL时会出现,unable to find vcvarsall.bat问题, 网上大部分解决该问题的方法是修改环境变量或注册表,不过这都是针对pyhton2.x来说的,

或者是下载whl文件, 但是目前并没有PCL的whl,

很多使用c、c++编译的库在使用pip安装时都会出现unable to find vcvarsall.bat的问题。


3、解决办法:

阅读C:\Python\Python35\Lib\distutils下的_msvccompiler.py文件,定位到_find_vcvarsall()函数,会发现如下代码:

说明要使用vs2014以上的版本才可以,我的是vs2012,只能安装vs2015,如果你手动暴力修改version>=10或其他数字的话,会使用pip时报更严重的错误。

解决使用<a href=python3.5来获取PCL库出现 unable to find vcvarsall.bat的问题" src="" alt="">

#安装完后(记住安装vs2015时要勾选python tools for vs2015),再使用pip安装PCL就可以了。

解决使用python3.5来获取PCL库出现 unable to find vcvarsall.bat的问题

最新发布

CentOS专题

关于本站

5ibc.net旗下博客站精品博文小部分原创、大部分从互联网收集整理。尊重作者版权、传播精品博文,让更多编程爱好者知晓!

小提示 »

按 Ctrl+D 键,
把本文加入收藏夹